<template>
<div>
  <div id="preload" v-if="preload === true">
   <div style="width:100%;height:0;padding-bottom:101%;position:relative;"><iframe src="https://giphy.com/embed/ZTICwsTP0pR2o" width="100%" height="100%" style="position:absolute" frameBorder="0" class="giphy-embed"></iframe></div>
  </div>
 <section id="homepage" v-else>
  <div id="explain" v-if="tacabanda === true && videoList.length> 0">
   <button @click="goToNextVideo" v-if="videoList.length > 1">
    next song
   </button>
   <br />
    <button @click="ops.fadeInOutEffect = !ops.fadeInOutEffect">
    fadeIn volume "{{ops.fadeInOutEffect}}"
   </button>
    <button @click="ops.removeFromLocal = !ops.removeFromLocal">
    remove from local storage "{{ops.removeFromLocal}}"
   </button>
  </div>
  <input type="search" placeholder="youtube link or videoId" v-model="query" v-on:keyup.enter="getVideo(parseVideoId)"/>
  <ul v-if="true === latestPlayerInit && videoList.length> 0 && false === alert">
   <li v-for="(video, index) in videoList" v-bind:class="{ active: (lastPlayer.videoData.id == video.id) ? 'active' : '' }">
    {{ video.title }}
    <i class="fa fa-times" aria-hidden="true" @click="eraseVideo({video, index})"></i>
   </li>
  </ul>
  <div v-if="alert === true" id="alert">
   <p>
    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    {{ alertMessage }}
   </p>
  </div>
  <div hidden v-if="tacabanda === true && videoList.length> 0">
   <youtube :video-id="player.A.videoData.id" @ready="readyPlayer1" @error="endVideoPlayer1" @ended="endVideoPlayer1" :player-vars="{autoplay: 0, rel: 0, controls: 1}"></youtube>
   <youtube :video-id="player.B.videoData.id" @ready="readyPlayer2" @error="endVideoPlayer2" @ended="endVideoPlayer2" :player-vars="{autoplay: 0, rel: 0, controls: 1}"></youtube>
  </div>
 </section>
</div>
</template>
<script src="./home.js"></script>
